org.apache.uima.jcas.cas

## Class Sofa

- java.lang.Object
- - org.apache.uima.cas.impl.FeatureStructureImplC
  - - org.apache.uima.jcas.cas.TOP
    - - org.apache.uima.jcas.cas.Sofa

- All Implemented Interfaces:
    Cloneable, FeatureStructure, FeatureStructureImpl, SofaFSImpl, SofaFS

      public class Sofa
      extends TOP
      implements SofaFSImpl

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

      `FeatureStructureImplC.PrintReferences`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `_FeatName_mimeType`
    `static String` | `_FeatName_sofaArray`
    `static String` | `_FeatName_sofaID`
    `static String` | `_FeatName_sofaNum`
    `static String` | `_FeatName_sofaString`
    `static String` | `_FeatName_sofaURI`
    `static String` | `_TypeName`
    `static int` | `type`
    `static int` | `typeIndexID`

    - ### Fields inherited from class org.apache.uima.jcas.cas.TOP

      `_singleton`

    - ### Fields inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

      `_casView, _id, DISABLE_RUNTIME_FEATURE_VALIDATION, DISABLE_RUNTIME_FEATURE_VALUE_VALIDATION, IS_ENABLE_RUNTIME_FEATURE_VALIDATION, IS_ENABLE_RUNTIME_FEATURE_VALUE_VALIDATION, IS_V2_PRETTY_PRINT, V2_PRETTY_PRINT`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Sofa()`
    `` | `Sofa(TypeImpl t, CASImpl c)` used by generator, not used Make a new Sofa
    `` | `Sofa(TypeImpl t, CASImpl c, int sofaNum, String viewName, String mimeType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FeatureStructure` | `getLocalFSData()` Get the Local Subject of Analysis returns null if not previously set.
    `String` | `getLocalStringData()` Get the Local Subject of Analysis returns null if not previously set.
    `String` | `getMimeType()` getter for mimeType - gets
    `TOP` | `getSofaArray()` These getter methods are for creating method handle access The getter name must match the feature name + transformation - used in generic pretty printing routines
    `InputStream` | `getSofaDataStream()` Provides stream access to both local and remote Sofa data.
    `String` | `getSofaID()` getter for sofaID
    `String` | `getSofaMime()` Get the Sofa mime type.
    `int` | `getSofaNum()` getter for sofaNum
    `int` | `getSofaRef()` Get the Sofa Ref value.
    `String` | `getSofaString()`
    `String` | `getSofaURI()` Get the Sofa URI value.
    `int` | `getTypeIndexID()`
    `boolean` | `isSofaDataSet()`
    `void` | `setFeatureValue(Feature feat, FeatureStructure fs)` Set a feature value to another FS.
    `void` | `setIntValue(Feature feat, Integer val)`
    `void` | `setLocalSofaData(FeatureStructure aFS)` Set the Local Subject of Analysis to be a predefined ArrayFS.
    `void` | `setLocalSofaData(FeatureStructure aFS, String mimeType)`
    `void` | `setLocalSofaData(String aString)` Set the Local Subject of Analysis to be a String.
    `void` | `setLocalSofaData(String aString, String mimeType)`
    `void` | `setLocalSofaDataNoDocAnnotUpdate(String aString)` Internal use: used by deserializers
    `void` | `setMimeType(String v)`
    `void` | `setRemoteSofaURI(String aURI)` Set the URI for a Remote Subject of Analysis.
    `void` | `setRemoteSofaURI(String aURI, String mimeType)`
    `void` | `setStringValue(Feature feat, String val)` Set the string value of a feature.

    - ### Methods inherited from class org.apache.uima.jcas.cas.TOP

      `_createJCasHashMapReserve, _createSearchKey`

    - ### Methods inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

      `_copyIntAndRefArraysEqTypesFrom, _copyIntAndRefArraysFrom, _copyIntArrayEqTypesFrom, _getBooleanValueNc, _getBooleanValueNc, _getByteValueNc, _getByteValueNc, _getDoubleValueNc, _getDoubleValueNc, _getFeatFromAdjOffset, _getFeatureValueNc, _getFeatureValueNc, _getFloatValueNc, _getFloatValueNc, _getIntLikeValue, _getIntValueNc, _getIntValueNc, _getLongValueNc, _getLongValueNc, _getRefValueCommon, _getShortValueNc, _getShortValueNc, _getStringValueNc, _getStringValueNc, _getTypeCode, _getTypeImpl, _getView, _id, _inSetSortedIndex, _isJCasHashMapReserve, _isPearTrampoline, _maybeGetBaseForPearFs, _maybeGetBaseForPearFs, _maybeGetPearFs, _maybeGetPearFs, _resetInSetSortedIndex, _setBooleanValueNcNj, _setBooleanValueNcNj, _setBooleanValueNfc, _setByteValueNcNj, _setByteValueNcNj, _setByteValueNfc, _setDoubleValueNcNj, _setDoubleValueNcNj, _setDoubleValueNfc, _setFeatureValueNcNj, _setFeatureValueNcNj, _setFeatureValueNcWj, _setFloatValueNcNj, _setFloatValueNcNj, _setFloatValueNfc, _setInSetSortedIndexed, _setIntLikeValue, _setIntLikeValueNcNj, _setIntValueCJ, _setIntValueNcNj, _setIntValueNcNj, _setIntValueNfc, _setIntValueNfcCJ, _setJCasHashMapReserve, _setLongValueCJ, _setLongValueNcNj, _setLongValueNcNj, _setLongValueNfc, _setLongValueNfcCJ, _setPearTrampoline, _setRefValueCJ, _setRefValueCommon, _setRefValueCommonWj, _setRefValueNfcCJ, _setShortValueNcNj, _setShortValueNcNj, _setShortValueNfc, _setStringValueNcNj, _setStringValueNcWj, _setStringValueNfc, _setTypeImpl, addStringOrPrimitive, addToIndexes, addToIndexes, addToIndexes, clone, compare, equals, getAddress, getBooleanValue, getByteValue, getCAS, getCASImpl, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getLongValue, getLowLevelCas, getShortValue, getStringValue, getType, hashCode, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrintShort, removeFromIndexes, removeFromIndexes, removeFromIndexes, setBooleanValue, setByteValue, setDoubleValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, toShortString, toString, toString, wrapGetIntCatchException`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.cas.FeatureStructure

      `_getTypeCode, _id, clone, equals, getAddress, getBooleanValue, getByteValue, getCAS, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getJCas, getLongValue, getShortValue, getStringValue, getType, hashCode, setBooleanValue, setByteValue, setDoubleValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue`

- - ### Field Detail

    - #### _TypeName

          public static final String _TypeName

      See Also:
        Constant Field Values

    - #### _FeatName_sofaNum

          public static final String _FeatName_sofaNum

      See Also:
        Constant Field Values

    - #### _FeatName_sofaID

          public static final String _FeatName_sofaID

      See Also:
        Constant Field Values

    - #### _FeatName_mimeType

          public static final String _FeatName_mimeType

      See Also:
        Constant Field Values

    - #### _FeatName_sofaArray

          public static final String _FeatName_sofaArray

      See Also:
        Constant Field Values

    - #### _FeatName_sofaString

          public static final String _FeatName_sofaString

      See Also:
        Constant Field Values

    - #### _FeatName_sofaURI

          public static final String _FeatName_sofaURI

      See Also:
        Constant Field Values

    - #### typeIndexID

          public static final int typeIndexID

    - #### type

          public static final int type

  - ### Constructor Detail

    - #### Sofa

          protected Sofa()

    - #### Sofa

          public Sofa(TypeImpl t,
                      CASImpl c)

      used by generator, not used Make a new Sofa
      Parameters:
        `c` - -
        `t` - -

    - #### Sofa

          public Sofa(TypeImpl t,
                      CASImpl c,
                      int sofaNum,
                      String viewName,
                      String mimeType)

  - ### Method Detail

    - #### getTypeIndexID

          public int getTypeIndexID()

      Overrides:
        `getTypeIndexID` in class `TOP`
      Returns:
        the type array index

    - #### getSofaNum

          public int getSofaNum()

      getter for sofaNum
      Specified by:
        `getSofaNum` in interface `SofaFS`
      Returns:
        the sofa number

    - #### getSofaID

          public String getSofaID()

      getter for sofaID
      Specified by:
        `getSofaID` in interface `SofaFS`
      Returns:
        the sofaID, which is the same as the view name

    - #### getMimeType

          public String getMimeType()

      getter for mimeType - gets
      Returns:
        the mime type

    - #### setLocalSofaData

          public void setLocalSofaData(FeatureStructure aFS)

      Description copied from interface: `SofaFS`
      Set the Local Subject of Analysis to be a predefined ArrayFS. Once set, the Sofa data cannot be changed.
      Specified by:
        `setLocalSofaData` in interface `SofaFS`
      Parameters:
        `aFS` - the SofA
      See Also:
        `This method is duplicated in SofaFSImpl. Any changes should be made in both places. aFS must be an array`

    - #### setLocalSofaData

          public void setLocalSofaData(FeatureStructure aFS,
                                       String mimeType)

    - #### setLocalSofaData

          public void setLocalSofaData(String aString)

      Description copied from interface: `SofaFS`
      Set the Local Subject of Analysis to be a String. Once set, the Sofa data cannot be changed.
      Specified by:
        `setLocalSofaData` in interface `SofaFS`
      Parameters:
        `aString` - The subject of analysis
      See Also:
        `SofaFS.setLocalSofaData(String)`

    - #### setLocalSofaDataNoDocAnnotUpdate

          public void setLocalSofaDataNoDocAnnotUpdate(String aString)

      Internal use: used by deserializers
      Parameters:
        `aString` - the string to update

    - #### setLocalSofaData

          public void setLocalSofaData(String aString,
                                       String mimeType)

    - #### getLocalFSData

          public FeatureStructure getLocalFSData()

      Description copied from interface: `SofaFS`
      Get the Local Subject of Analysis returns null if not previously set.
      Specified by:
        `getLocalFSData` in interface `SofaFS`
      Returns:
        the local SofA
      See Also:
        `returns an UIMA Array whose data represents the sofa`

    - #### getLocalStringData

          public String getLocalStringData()

      Description copied from interface: `SofaFS`
      Get the Local Subject of Analysis returns null if not previously set.
      Specified by:
        `getLocalStringData` in interface `SofaFS`
      Returns:
        the SofA
      See Also:
        `SofaFS.getLocalStringData()`

    - #### setRemoteSofaURI

          public void setRemoteSofaURI(String aURI)

      Description copied from interface: `SofaFS`
      Set the URI for a Remote Subject of Analysis. Once set, this URI may not be changed.
      Specified by:
        `setRemoteSofaURI` in interface `SofaFS`
      Parameters:
        `aURI` - the URI for a remote Sofa
      See Also:
        `This method is duplicated in SofaFSImpl. Any changes should be made in both places.`

    - #### setRemoteSofaURI

          public void setRemoteSofaURI(String aURI,
                                       String mimeType)

    - #### isSofaDataSet

          public boolean isSofaDataSet()

    - #### getSofaMime

          public String getSofaMime()

      Description copied from interface: `SofaFS`
      Get the Sofa mime type.
      Specified by:
        `getSofaMime` in interface `SofaFS`
      Returns:
        SofA mime type

    - #### getSofaURI

          public String getSofaURI()

      Description copied from interface: `SofaFS`
      Get the Sofa URI value.
      Specified by:
        `getSofaURI` in interface `SofaFS`
      Returns:
        Sofa URI or null if not valid

    - #### getSofaRef

          public int getSofaRef()

      Description copied from interface: `SofaFS`
      Get the Sofa Ref value.
      Specified by:
        `getSofaRef` in interface `SofaFS`
      Returns:
        the Sofa Reference value

    - #### getSofaDataStream

          public InputStream getSofaDataStream()

      Description copied from interface: `SofaFS`
      Provides stream access to both local and remote Sofa data. For remote SofA data, a custom URLStreamHandler may be registered for a protocol via the java.protocol.handler.pkgs system property.
      Specified by:
        `getSofaDataStream` in interface `SofaFS`
      Returns:
        an InputStream for reading Sofa data. null returned if there is no Sofa data.

    - #### getSofaArray

          public TOP getSofaArray()

      These getter methods are for creating method handle access The getter name must match the feature name + transformation - used in generic pretty printing routines
      Returns:
        -

    - #### getSofaString

          public String getSofaString()

    - #### setStringValue

          public void setStringValue(Feature feat,
                                     String val)

      Description copied from interface: `FeatureStructure`
      Set the string value of a feature.
      Specified by:
        `setStringValue` in interface `FeatureStructure`
      Overrides:
        `setStringValue` in class `FeatureStructureImplC`
      Parameters:
        `feat` - The feature whose value we want to set.
        `val` - The string we're setting the feature to.

    - #### setFeatureValue

          public void setFeatureValue(Feature feat,
                                      FeatureStructure fs)

      Description copied from interface: `FeatureStructure`
      Set a feature value to another FS.
      Specified by:
        `setFeatureValue` in interface `FeatureStructure`
      Overrides:
        `setFeatureValue` in class `FeatureStructureImplC`
      Parameters:
        `feat` - The feature whose value should be set.
        `fs` - The value FS.

    - #### setIntValue

          public void setIntValue(Feature feat,
                                  Integer val)

    - #### setMimeType

          public void setMimeType(String v)

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.